Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class MultiPartElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement

Direct Known Subclasses:
  AppletElement, ColGroupElement, DefinitionList, DivElement, FieldsetElement, FormElement, FrameSetElement, ListElement, MapElement, NoFramesElement, NoScriptElement, SelectElement, SpanElement, TableElement, TableRowElement, TBodyElement, TFootElement, THeadElement

public abstract class MultiPartElement
extends ElementWithAttributes

The MultiPartElement class is the parent class for all HtmlElements that have multiple components. For instance, a ListElement object, derived from this class, is made up of multiple ListItems (which are derived from the SinglePartElement class).

Author:
  Copyright (c) 1995-97, WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `SinglePartElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MultiPartElement()` Deprecated.

Method Summary
`protected HtmlElement` | `addHeadMultiElement(HtmlElement val)` Deprecated.
`protected void` | `addMultiElement(HtmlElement val)` Deprecated.
`protected HtmlElement` | `getMultiElementAt(int pos)` Deprecated.
`int` | `getNumElements()` Deprecated. Returns the number of elements.
`protected void` | `printBody(java.io.OutputStream ostr)` Deprecated.
`protected void` | `printBody(java.io.OutputStream ostr, java.lang.String codeset)` Deprecated.
`protected void` | `printBody(java.io.PrintWriter pw)` Deprecated.
`MultiPartElement` | `removeElement(HtmlElement elementname)` Deprecated. Removes the specified, named HtmlElement.
`MultiPartElement` | `removeElementAt(int pos)` Deprecated. Removes an element at the specified position.
`MultiPartElement` | `replaceElementAt(HtmlElement val, int pos)` Deprecated. Replaces the element at the specified position with the HtmlElement specified in the first argument.
`protected HtmlElement` | `replaceMultiElementAt(HtmlElement val, int pos)` Deprecated.
`int` | `widthAsLiteral()` Deprecated. Returns the number of characters in a MultiPartElement.

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getHtmlCode, getLocalVar, getQuotedAttribute, output, output, output, printBody, printCR, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiPartElement

    public MultiPartElement()

  Deprecated.

Method Detail

### printBody

    protected void printBody(java.io.OutputStream ostr)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printBody

    protected void printBody(java.io.OutputStream ostr,
                             java.lang.String codeset)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printBody

    protected void printBody(java.io.PrintWriter pw)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### addMultiElement

    protected void addMultiElement(HtmlElement val)

  Deprecated.

### getMultiElementAt

    protected HtmlElement getMultiElementAt(int pos)

  Deprecated.

### replaceMultiElementAt

    protected HtmlElement replaceMultiElementAt(HtmlElement val,
                                                int pos)

  Deprecated.

### addHeadMultiElement

    protected HtmlElement addHeadMultiElement(HtmlElement val)

  Deprecated.

### replaceElementAt

    public MultiPartElement replaceElementAt(HtmlElement val,
                                             int pos)

  Deprecated.
  Replaces the element at the specified position with the HtmlElement specified in the first argument. Iterate through the elements in a MultiPartElement with getElementAt().

  Parameters:
    `val` - New element
    `pos` - Position of element to be replaced
  Returns:
    MultiPartElement

### removeElementAt

    public MultiPartElement removeElementAt(int pos)

  Deprecated.
  Removes an element at the specified position.

  Parameters:
    `pos` - Index position into a MultiPartElement
  Returns:
    MultiPartElement

### removeElement

    public MultiPartElement removeElement(HtmlElement elementname)

  Deprecated.
  Removes the specified, named HtmlElement.

  Parameters:
    `elementname` - Name of HtmlElement
  Returns:
    MultiPartElement

### getNumElements

    public int getNumElements()

  Deprecated.
  Returns the number of elements.

  Returns:
    Number of elements

### widthAsLiteral

    public int widthAsLiteral()

  Deprecated.
  Returns the number of characters in a MultiPartElement.

  Returns:
    Number of characters
  Overrides:
    widthAsLiteral in class HtmlElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD